@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&display=swap');

html, body {
  width: 100%;
  overflow-x: hidden;
  background: var(--color-primary);

}
@media (max-width: 580px) {
  img, video, iframe {
    max-width: 100%;
  }   
}

*, *::before, *::after {
  box-sizing: border-box;
}
html {
	margin-top: 0 !important;
}

:root {
    --font-family-title: "Roboto Condensed", sans-serif;
    --font-family-content:  "Poppins", sans-serif;
    
    --font-size-title: 55px;
    --font-size-title-small: 40px;

    --font-size-content: 16px;
}

@media (max-width: 768px) {
  :root {
      --font-size-title: 30px;
      --font-size-title-small: 25px;

  }
}

body {
	font-family: var(--font-family-content) !important;
  background: var(--color-primary);
  overflow-x: hidden;
}
button, p, span, a, small {
	font-family: var(--font-family-content) !important;
	font-weight: 400 !important;
}

.title-section span,
.title-section {
	font-size:  var(--font-size-title);
	font-family: var(--font-family-title);
	color: var(--color-primary);
	font-weight: 800;
}
.title-section span {
    color: var(--color-secondary);
}
.title-section-small {
  	font-size:  var(--font-size-title-small);
}
.page-width {
  margin-inline: auto;
  max-width: 1600px;
  padding-inline: 1rem;
} 
@media (width >= 768px) {
   .page-width  {
      padding-inline: 4rem;
    }
}

section {
    overflow: hidden;
    width: 100%;
}
g:focus,
path:focus,
a:focus,
.link-svg path:focus-visible,
path:focus-visible,
a:focus-visible {
	box-shadow: none!important;
	outline: none!important;
}

/*Buttons*/
.btn-learning {
    background: var(--background-button);
    color: #fff;
    padding: 8px 20px;
    border-radius: 10px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    display: inline-block;
    min-width: 150px;
    transition: 400ms;
    cursor: pointer;
    text-align: center;
    font-weight: 400 !important;
}
.btn-learning:hover {
	color: #fff !important;
	background: var(--background-button);
}

@media (min-width: 768px) {
  .btn-learning:hover {
    background: #fff;
    color: var(--color-secondary) !important;
    transition: 400ms;
  }
}
.btn-learning_white:hover,
.btn-learning_white {
    color: var(--background-button);
    background: #fff;
}

@media (min-width: 768px) {
  .btn-learning_white:hover {
      background: var(--background-button);
      color: #fff!important;
  }
}
.btn-learning-outline:hover,
.btn-learning-outline {
  background: transparent; border: 1px solid #fff;color: #fff;
}

@media (min-width: 768px) {
  .btn-learning-outline:hover {
      background: var(--background-button);
      color: #fff!important;
      border-color:  var(--background-button);
  }
}

@media (max-width: 767px) {
  .btn-learning:hover {
    color: #fff!important;
  }
}
/*mobile arrow in carousel*/
.owl-nav {
	display: flex;
	justify-content: center;
	margin-top: 28px;
  margin-bottom: 25px;
	position: relative;
	gap: 15px;
}
.owl-nav button {
	width: 35px;
	height: 35px;
	background: #fff !important;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 50%;
	color: var(--color-secondary) !important;
}

/*Select Customiser*/
 .nice-select {
  box-shadow: none !important;
  outline: none !important;
  width: 100% !important;
  border: 1px solid #bdbdbdff !important;
  border-radius: 10px!important;
  padding: 10px 15px;
  font-family: var(--ff-poppins) !important;
  font-size: 18px !important;
  color: rgba(59, 59, 59, 0.76);
  line-height: 1.1 !important;
  margin-bottom: 17px;
  
  .list {
    width: 100%;
    border-radius: 10px !important;
  }
  .list:hover .option:not(:hover) {
    color: var(--color-text) !important;
  }
}

.nice-select .option:hover,
.nice-select .option.focus,
.nice-select .option.selected.focus {
  background-color: var(--color-primary) !important;
  color: white;
}


.nice-select .list {
  scrollbar-width: thin;
  scrollbar-color: var(--color-primary) transparent;
  width: 100%;
    backdrop-filter: blur(8.9px);
    background-color: #ffffffdb;
}


.nice-select ::-webkit-scrollbar-button {
  display: none;
} 

/*Selects Account */
.select2-container {
	z-index: 1;
}
.select2-container .select2-selection--single {
	border-radius: 10px !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
	background-color: var(--color-secondary)!important;
}